Create invitation
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', role_ids: [], send_email: true})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/invitations"
payload = {
"email": "jsmith@example.com",
"role_ids": [],
"send_email": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"role_ids": [],
"send_email": true
}
'{
"id": "<string>",
"invitee_email": "<string>",
"inviter_name": "<string>",
"roles": [
"<string>"
],
"created_at": "<string>",
"expires_at": "<string>",
"invitation_url": "<string>"
}Team Management
Create invitation
Create an invitation to join the current platform’s organization. Only roles from the assignable role set (GET /platforms/me/members/roles) can be attached. The invitation URL is returned only when send_email is false.
POST
/
v1
/
platforms
/
me
/
invitations
Create invitation
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', role_ids: [], send_email: true})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/invitations"
payload = {
"email": "jsmith@example.com",
"role_ids": [],
"send_email": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"role_ids": [],
"send_email": true
}
'{
"id": "<string>",
"invitee_email": "<string>",
"inviter_name": "<string>",
"roles": [
"<string>"
],
"created_at": "<string>",
"expires_at": "<string>",
"invitation_url": "<string>"
}Authorizations
Auth0 JWT access token. See Authentication for details.